#
# Docker compose file that launches Pogo, sending the display to a remote X11
# display. Pogo output can be persisted by writing to either:
#   1. the /home/tango folder, which is a Docker volume persisted between
#      container runs;
#   2. the /hosthome folder, which is a r/w mount of your home folder.
#
# Defines:
#   - pogo (service): service running Pogo
#   - pogo (volume): persistent volume for writing Pogo outut
#
# Requires:
#   - N/A
#
version: '2'

# Create a volume so that Pogo preferences and Pogo output can be persisted
volumes:
  pogo: {}

services:
  pogo:
    image: ${DOCKER_REGISTRY_HOST}/${DOCKER_REGISTRY_USER}/tango-pogo:latest
    container_name: ${CONTAINER_NAME_PREFIX}pogo
    network_mode: ${NETWORK_MODE}
    volumes:
      - pogo:/home/tango
      - ${XAUTHORITY_MOUNT}
      - ${TANGO_LOFAR_CONTAINER_MOUNT}
      - ${HOME}:/hosthome:rw
    environment:
      - XAUTHORITY=${XAUTHORITY}
      - DISPLAY=${DISPLAY}
